---
search:
  tags:
    - livesync
    - GET
seo:
  description: >-
    Returns each livesync session that the session can see, with its state.…
    Reference for the GET /api/v1/livesync endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: List livesync sessions
  badge: GET
title: List livesync sessions
type: openapi-operation
---
Returns each livesync session that the session can see, with its state. Set refresh to start a new poll of the sessions.

`GET /api/v1/livesync`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "livesyncs": [
    {
      "auto_add_tables": true,
      "created_at": "string",
      "health": "string",
      "health_checked_at": "string",
      "health_detail": "string",
      "host_display": "string",
      "host_server_id": "string",
      "id": "string",
      "name": "string",
      "publication": "string",
      "publication_managed": true,
      "source_cluster_id": "string",
      "source_display": "string",
      "status": "string",
      "subscription": "string",
      "target_cluster_id": "string",
      "target_display": "string"
    }
  ]
}
```
